Entwurf Punkt

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Point and the translation is 85% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский

Draft Point.svg Entwurf Punkt

Menüeintrag
Entwurf → Punkt
Arbeitsbereich
Entwurf Arbeitsbereich, Architektur
Standardtastenkürzel
Keiner
Eingeführt in Version
0.7
Siehe auch
Keiner

Beschreibung

Der Draft Point.svg Entwurf Punkt Befehl erzeugt einen einfachen Punkt. Entwurf Punkte kann als eine Referenz für die Platzierung von Linien, Drähten oder anderen Objekten nützlich sein.

Draft point example.jpg

Anwendung

Siehe auch: Entwurf Ablage, Entwurf Fang und Entwurf beschränken.

  1. Es gibt mehrere Möglichkeiten, den Befehl aufzurufen:
  2. Drücke die Draft Point.svg Entwurf Punkt Schaltfläche
    • Wähle die Option Entwerfen → Draft Point.svg Punkt aus dem Menü.
    • Das Punkt-Aufgabenpaneel wird geöffnet. Siehe Optionen für weitere Informationen.
  3. Wähle einen Punkt in der 3D Ansicht, oder gib Koordinaten ein und drücke die Draft AddPoint.svg Punkt eingeben-Schaltfläche.

Optionen

Die im Aufgabenpaneel verfügbaren Einzelzeichen Tastaturkürzel können geändert werden. Siehe Entwurf Einstellungen. Die hier genannten Tastenkürzel sind die Standardtastenkürzel.

  • Um manuell Koordinaten einzugeben, trage einfach die Zahlen ein, drücke dann Enter zwischen jeder der X-, Y- und Z-Komponenten. Du kannst den Draft AddPoint.svg Punkt hinzufügen-Button drücken, um den Punkt einzufügen, nachdem Du die gewünschten Werte eingeben hast.
  • Drücke Alt+N oder klicke das Ankreuzkästchen zur Umschaltung des 'Nächstes-Modus. Wenn der Fortsetzungsmodus eingeschaltet ist, wird das Punkt-Werkzeug nach der Eingabe des Punkts erneut starten, ohne dass Du den Werkzeug-Button nochmal drücken musst.
  • Drücke Esc oder den Schließen-Button zum Abbruch des aktuellen Befehls.

Hinweise

Einstellungen

Siehe auch: Einstellungseditor und Entwurf Einstellungen.

  • To change the number of decimals used for the input of coordinates: Edit → Preferences... → General → Units → Units settings → Number of decimals.

Eigenschaften

Siehe auch: Eigenschafteneditor.

Ein Entwurf Punkt Objekt wird von einem Part Formelement abgeleitet und erbt alle seine Eigenschaften. Außerdem hat es die folgenden zusätzlichen Eigenschaften:

Daten

Draft

  • Daten-EigenschaftX (Abstand): gibt die X Koordinate des Punktes an.
  • Daten-EigenschaftY (Abstand): gibt die Y Koordinate des Punktes an.
  • Daten-EigenschaftZ (Abstand): gibt die Z Koordinate des Punktes an.

Ansicht

Draft

  • AnsichtPattern (Enumeration): not used.
  • AnsichtPattern Size (Float): not used.

Skripten

Siehe auch: Autogenerated API documentation und FreeCAD Skripten Grundlagen.

Um einen Entwurfspunkt zu erstellen, verwende die Methode make_point (eingeführt in Version 0.19) des Entwurfsmoduls. Diese Methode ersetzt die veraltete Methode makePoint.

point = make_point(X=0, Y=0, Z=0, color=None, name="Point", point_size=5)
point = make_point(point, Y=0, Z=0, color=None, name="Point", point_size=5)
  • Erstellt ein Punkt-Objekt an den angegebenen X-, Y- und Z-Koordinaten mit Einheiten in mm. Falls keine Koordinaten angegeben werden, wird der Punkt bei (0,0,0) angelegt.
    • Falls X ein durch einen FreeCAD.Vector definierter Punkt ist, wird dieser verwendet.
  • color ist ein Tupel (R, G, B), das die Farbe des Punktes in der RGB-Farbskala angibt; jeder Wert des Tupels sollte im Bereich von 0 bis 1 liegen.
  • name ist der Name des Objekts.
  • point_size ist die Größe des Objekt in Pixeln, falls die grafische Benutzeroberfläche geladen ist

Beispiel:

import FreeCAD as App
import Draft

doc = App.newDocument()

point1 = Draft.make_point(1600, 1400, 0)

p2 = App.Vector(-3200, 1800, 0)
point2 = Draft.make_point(p2, color=(0.5, 0.3, 0.6), point_size=10)

doc.recompute()

Beispiel:

Dieser Code erzeugt N zufällige Punkte innerhalb eines Quadrats der Seitenlänge 2L. Er macht eine Schleife, die N Punkte erzeugt, die überall von -L bis +L auf X und Y erscheinen können. Er wählt auch eine zufällige Farbe und Größe für jeden Punkt. Ändere N, um die Anzahl der Punkte zu ändern, und ändere L, um den von den Punkten abgedeckten Bereich zu ändern.

import random
import FreeCAD as App
import Draft

doc = App.newDocument()

L = 1000
centered = App.Placement(App.Vector(-L, -L, 0), App.Rotation())
rectangle = Draft.make_rectangle(2*L, 2*L, placement=centered)

N = 10
for i in range(N):
    x = 2*L*random.random() - L
    y = 2*L*random.random() - L
    z = 0
    r = random.random()
    g = random.random()
    b = random.random()
    size = 15*random.random() + 5
    Draft.make_point(x, y, z, color=(r, g, b), point_size=size)

doc.recompute()